curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_template": {
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"small": "https://images.thanx.com/reward_template_small.png",
"large": "https://images.thanx.com/reward_template_large.png"
}
}
}
Reward Templates
Get Reward Template
Returns a specific published reward template
GET
/
partner
/
reward_templates
/
:id
curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_template": {
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"small": "https://images.thanx.com/reward_template_small.png",
"large": "https://images.thanx.com/reward_template_large.png"
}
}
}
Scope required:
rewards.issueParameters
Response
curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"reward_template": {
"id": "abc123def456",
"name": "Free Coffee",
"type": "discount",
"subtype": "free_item",
"description": "One free coffee, any size",
"fine_print": "Valid at participating locations",
"discount": {
"type": "free_item",
"applies_to": "basket",
"value": null
},
"redemption_venue": "in_store",
"images": {
"small": "https://images.thanx.com/reward_template_small.png",
"large": "https://images.thanx.com/reward_template_large.png"
}
}
}